/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_PLAYLISTS_ARTIST_H
#define OCARINA_CORE_PLAYLISTS_ARTIST_H
#include <core/playlists/generic.h>

/* Artist playlist type. */
extern struct playlist_type pl_artist;


/* Called to initialize artist playlists. */
void pl_artist_init(void);

/* Called to deinitialize library playlists. */
void pl_artist_deinit();

/* Called to tell system playlists about a new track. */
void pl_artist_new_track(struct track *);

/* Called to tell artist playlists that a track is getting deleted. */
void pl_artist_delete_track(struct track *);

#endif /* OCARINA_CORE_PLAYLISTS_ARTIST_H */
