/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_PLAYLISTS_LIBRARY_H
#define OCARINA_CORE_PLAYLISTS_LIBRARY_H
#include <core/playlists/generic.h>

/* Library playlist type. */
extern struct playlist_type pl_library;


/* Called to initialize library playlists. */
void pl_library_init(void);

/* Called to deinitialize system playlists. */
void pl_library_deinit();

/* Called to update a library path. */
void pl_library_update(struct playlist *);

#endif /* OCARINA_CORE_PLAYLISTS_LIBRARY_H */
