/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_ARTWORK_H
#define OCARINA_GUI_ARTWORK_H
#include <core/tags/track.h>
#include <gui/builder.h>

/* Called to set artwork for a track. */
void gui_artwork_set_cover(void);

/* Called to import artwork for a track. */
void gui_artwork_import(struct track *, gchar *);

/* Called to get the cover image. */
static inline GtkImage *gui_artwork(void)
{
	return GTK_IMAGE(gui_builder_widget("artwork"));
}

#endif /* OCARINA_GUI_ARTWORK_H */
