/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_IDLE_H
#define OCARINA_GUI_IDLE_H
#include <core/idle.h>
#include <gui/builder.h>

/* Called to enable processing idle queue tasks. */
void gui_idle_enable();

/* Called to disable processing idle queue tasks. */
void gui_idle_disable();

/* Called to get a pointer to the idle progress bar. */
static inline GtkProgressBar *gui_progress_bar()
{
	return GTK_PROGRESS_BAR(gui_builder_widget("progress_bar"));
}

#endif /* OCARINA_GUI_IDLE_H */
