/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_WINDOW_H
#define OCARINA_GUI_WINDOW_H
#include <gui/builder.h>

/* Called to initialize the main window. */
void gui_window_init(const gchar *);

/* Called to deinitialize the main window. */
void gui_window_deinit();

/* Called to get a pointer to the main window. */
static inline GtkWindow *gui_window()
{
	return GTK_WINDOW(gui_builder_widget("window"));
}

#endif /* OCARINA_GUI_WINDOW_H */
