/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_CORE_H
#define OCARINA_CORE_CORE_H
#include <core/audio.h>
#include <core/idle.h>
#include <core/playlist.h>
#include <core/settings.h>
#include <core/tags/tags.h>
#include <stdbool.h>

/* Called to initialize all core Ocarina components. */
void core_init(int *, char ***, struct playlist_callbacks *,
				struct audio_callbacks *, enum idle_sync_t);

/* Called to deinitialize all core Ocarina componentns. */
void core_deinit();

#endif /* OCARINA_CORE_CORE_H */
