/**
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_TAGS_TAGS_H
#define OCARINA_CORE_TAGS_TAGS_H


/* Called to initialize and read all databases from disk. */
void tags_init();

/* Called to clean up all databases. */
void tags_deinit();

/* Called to defragment all databases. */
bool tags_defragment();

#endif /* OCARINA_CORE_TAGS_TAGS_H */
