/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_VERSION_H
#define OCARINA_CORE_VERSION_H

#ifdef CONFIG_TESTING
#define OCARINA_NAME "ocarina-test/"CONFIG_TESTING_DIR
#elif CONFIG_DEBUG
#define OCARINA_NAME "ocarina-debug"
#else
#define OCARINA_NAME "ocarina"
#endif

#define OCARINA_MAJOR_VERSION CONFIG_MAJOR
#define OCARINA_MINOR_VERSION CONFIG_MINOR

/*
 * Scons sets the current version by passing the
 * -DCONFIG_VERSION macro when Ocarina is compiled.
 */
static inline const char *get_version()
{
	return CONFIG_VERSION;
}

#endif /* OCARINA_CORE_VERSION_H */
