/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_PLAYLISTS_ARTIST_H
#define OCARINA_GUI_PLAYLISTS_ARTIST_H

/* Called to initialize GUI artist playlists. */
void gui_pl_artist_init();

/* Called to add an artist playlist. */
bool gui_pl_artist_add(struct playlist *);

/* Called to update an artist playlist. */
void gui_pl_artist_update(struct playlist *);

/* Called to select an artist playlist. */
void gui_pl_artist_select(struct playlist *);

#endif /* OCARINA_GUI_PLAYLISTS_ARTIST_H */
