/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_PLAYLISTS_LIBRARY_H
#define OCARINA_GUI_PLAYLISTS_LIBRARY_H

/* Called to initialize GUI library playlists. */
void gui_pl_library_init();

/* Called to add a library path. */
struct playlist *gui_pl_library_add(const gchar *);

/* Called to update a library path. */
void gui_pl_library_update(struct playlist *);

/* Called to select a library playlist. */
void gui_pl_library_select(struct playlist *);

#endif /* OCARINA_GUI_PLAYLISTS_LIBRARY_H */
